Rails Streaming not Streaming

I am working to add a streaming component to my rails app as I'd like to start using SSEs. I have tried getting this to work in a smaller example but am still having trouble. I have been having...

@function v/s @mixin in Sass-lang. Which one to use?

After searching a lot in difference between @function and @mixin I ended up here. Is there any advantage of using @mixin over @funcion or vice versa. In what context they'll be different, how to...

Node Sass does not yet support your current environment: Linux 64-bit with false

Getting this error on Arch Linux with node-sass. I'm using it with gulp-sass. Node Sass does not yet support your current environment: Linux 64-bit with false Versions $ gulp -v [19:43:15] CLI...

Combine multiple bootstrap classes into one SASS class

In a form I have rows of form-groups with each having a label and form-control element. <div class="form-group row"> <label class="col-xs-2 col-md-3">Text</label> <div class="col-xs-10...

'Font awesome' appropriate loader to handle

I'm trying to include font awesome in my reactjs application and these are the steps i followed. 1. npm install --save font-awesome 2. Import it to my jsx file import...

Angular No module factory available for dependency type: ContextElementDependency

Running ng build on my Angular 4 project give this error : 14% building modules 40/46 modules 6 active ...es\@angular\http\@angular\http.es5.js An error occured during the build: Error: No...

How do I use /deep/ or >>> or ::v-deep in Vue.js?

So, I've read here that in Vue.js, you can use /deep/ or >>> in a selector in order to create style rules that apply to elements inside of child components. However, attempting to use this in my...

Making part of text in Material Tooltip bold

So, let's say I have a mat-tooltip element like this: <button mat-raised-button matTooltip="Info about the action"> Action </button> Now, how to make only the "Info" part of text bold? I was...

Compiling ES6 and VUE JS not working in IE 11

So I am having an issue with ES6, Webpack and VUE JS in IE 11. This works in Edge, Chrome, Safari and Firefox, but not IE 11. The error: SCRIPT1002: Syntax error vue.js (16,8498) Ok, so whats at...

My react project not working after deploy to firebase hosting

I'm following the instruction of this site and I'm already trying with an empty create-react-app project and It's working fine But when I'm trying with my existing project after deploy process was...

Module not found: Error: Can't resolve 'core-js/es6'

I've got a problem with my build process in relation to my React app. I always get the following error: Module not found: Error: Can't resolve 'core-js/es6' if I use this in a polyfill.js: import...

Is there a way to add dark mode to my application with SCSS?

I've been set the task of adding a toggle on an angular web application which will allow users to switch from the default light mode theme to a dark mode theme. I can't find a way to successfully...

create-react-app webpack configuration file

I have created a new react app using npx create-react-app and now I want to integrate a webpack.config.js file. I know I don't have to but it is a necessary step for an assignment. I have tried...

NextJS - export is broken (no CSS, no JS)

I am using NextJS (https://nextjs.org/) Version 9.0.6. My next.config.js looks like this: /* eslint-disable */ const withLess = require("@zeit/next-less"); const lessToJS =...

After update from Angular 8 to Angular 9, 'ng generate component' generates a .css file instead of .scss

In my project I had set up SCSS as the style. Now after the update from Angular 8 to 9, when I use the CLI to generate a new component, a CSS file is generated where I expect an SCSS file to be generated.

error /node_modules/node-sass: Command failed

When I tried install vue store front in my local but when I tried "yarn install" command I get following error. How can I solve this error? How can I solve this error? error...

Undefined variable error in scss while compiling using sass live server in vs code

I'm new to the sass ecosystem and I'm facing a really annoying issue. I'm getting a compilation error saying my variable "$grid-width" is undefined. There is nothing wrong with my code. I will...

Environment variables not working (Next.JS 9.4.4)

So i'm using the Contentful API to get some content from my account and display it in my Next.Js app (i'm using next 9.4.4). Very basic here. Now to protect my credentials, i'd like to use...

How to properly introduce a light/dark mode in Bootstrap?

I use Bootstrap 4.5 and use bg-dark in my HTML template. I would like to implement a "light/dark" switch. So, Bootstrap has a bg-light css class, but I am not sure what the current approach how to...

How to combine several exports inside one module (module.exports) inside next.config.js file?

When I add "next-videos" loader to the next.config.js it works perfectly as long as module.exports goes the last one: module.exports = withVideos() On the other hand, it breaks another instance...

How to migrate away from @zeit/next-sass deprecation?

How can I migrate and change the next.config.js file from @zeit/next-sass to use Next.js built-in support for Sass? https://www.npmjs.com/package/@zeit/next-sass const withSass =...

TypeError: this.getOptions is not a function

I am facing a weird error when I installed Bootstrap. The error is below. I tried uninstalling less-loader and installing [email protected], because I saw it online, but it did nothing. I am...

Node-sass does not run on npm-start V6.0.0

I have been trying to install node-sass using npm i node-sass but I am getting the following error whenever I try npm start: Node Sass version 6.0.0 is incompatible with ^4.0.0 || ^5.0.0. I even...

Create new color scheme for dark-light mode in bootstrap sass

I want to create dark mode for a web site which use bootstrap. I have to add new root class which includes all boostrap colors. Here is my...

Vue2 - Error: PostCSS received undefined instead of CSS string

i have this problem when trying to compile a Vue2 project Syntax Error: Error: PostCSS received undefined instead of CSS string @ ./src/assets/sass/main.scss 4:14-233 14:3-18:5 15:22-241 @...

ReferenceError: require is not defined in ES module scope, you can use import instead gulp sass

I got an error when using this line of code const sass = require('gulp-sass')(require('sass')); The error output is : Requiring external module babel-register ReferenceError: require is not...

Vuetify SassError Expected identifier. .v-application .orange.#f77925{

I am trying to manage sass variables of vuetify theme, according to doc here: https://vuetifyjs.com/en/features/sass-variables/ Here is package.json { "scripts": { ... }, "dependencies":...

Heroku fails during build with Error: Node Sass does not yet support your current environment: Linux 64-bit with Unsupported runtime (93)

Ruby 2.7.4 Rails 6.1.4.1 note: in package.json the engines key is missing in my app Heroku fails during build with this error this commit is an empty commit on top of exactly a SHA that I was...

Node Sass version 7.0.0 is incompatible with ^4.0.0 || ^5.0.0 || ^6.0

I have a react project I created using create-react-app And I was trying to use sass in react by installing node-sass for react.js But I keep getting an error saying It's incompatible. Node Sass...

TypeError: MiniCssExtractPlugin is not a constructor

[webpack-cli] TypeError: MiniCssExtractPlugin is not a constructor at module.exports (/home/andrey/smartadmin-app/webpack.config.js:70:9) at loadConfigByPath...